/********************************************************/
/*                                                      */
/* Copyright (c) 1993 by Automated Process Control      */
/*                       106 Business Park Drive        */
/*                       Jackson, Ms. 39213             */
/*                       Ph  (601) 956-2800             */
/*                       FAX (601) 956-9777             */
/*                                                      */
/* SPX 16 Bit Interface -- Library Routine              */
/*                                                      */
/*  File    : SPX_CLR.C                                 */
/*  Subject : Clearing SPX 16 Bit Interface Memory      */
/*  Version : 1.00                                      */
/*  Author  : Philip E. Foster                          */
/*  Date    : July 16, 1993                             */
/*                                                      */
/********************************************************/

#include "spx_c16.h"

/********************************************************/
/*                                                      */
/* if_clear(ifbase)                                     */
/*  Parameters : ifbase is a "SPX_TYPE far *" to the    */
/*                      base address of the interface   */
/*                      array.                          */
/*  Returns    : <none>                                 */
/*                                                      */
/*  Code Compliance : Microsoft C 6.0a with ANSI C      */
/*                    language switch selected and      */
/*                    level 4 warnings                  */
/*                                                      */
/********************************************************/

void if_clear(SPX_TYPE far *ifbase)
{
    int i;

    for(i=0; i<CONTROL; i++)
        ifbase[i] = 0;
    for(i=MUX_IN; i<IRQ_SEL; i++)
        ifbase[i] = 0;
}
