/********************************************************/
/*                                                      */
/* Copyright (c) 1993 by Automated Process Control      */
/*                       106 Business Park Drive        */
/*                       Jackson, Ms. 39213             */
/*                       Ph  (601) 956-2800             */
/*                       FAX (601) 956-9777             */
/*                                                      */
/* SPX 16 Bit Interface -- Library Routine              */
/*                                                      */
/*  File    : SPX_NM8O.C                                */
/*  Subject : Outputing 8 bit NON-MUX values            */
/*  Version : 1.00                                      */
/*  Author  : Philip E. Foster                          */
/*  Date    : July 16, 1993                             */
/*                                                      */
/*  Code Compliance : Microsoft C 6.0a with ANSI C      */
/*                    language switch selected and      */
/*                    level 4 warnings                  */
/*                                                      */
/********************************************************/

#include "spx_c16.h"

/********************************************************/
/*                                                      */
/* nmux8_out(ifbase, address, value)                    */
/*  Parameters : ifbase is a "SPX_TYPE far *" to the    */
/*                      base address of the interface   */
/*                      array.                          */
/*               address is the base Seriplex Network   */
/*                      Address for the data            */
/*               value is the 8 bit value to output     */
/*  Returns    : <none>                                 */
/*                                                      */
/********************************************************/

void nmux8_out(SPX_TYPE far *ifbase, unsigned short address, unsigned char value)
{
    if(address&0x0010)
    {
        ifbase[NON_MUX_OUT+(address>>4)] = (ifbase[NON_MUX_OUT+(address>>4)] & 0x00ff) | ((value<<8) & 0xff00);
    }
    else
    {
        ifbase[NON_MUX_OUT+(address>>4)] = (ifbase[NON_MUX_OUT+(address>>4)] & 0xff00) | ((unsigned short)value & 0x00ff);
    }
}
